replace(1)

NAME

replace - A utility program that is used by msql2mysql, but that has more general applicability as well. replace changes strings in place in files or on the standard input. Uses a finite state machine to match longer strings first. Can be used to swap strings.

USAGE
replace [-?svIV] from to from to ... -- [files]

or

replace [-?svIV] from to from to ... < fromfile > tofile

SYNOPSIS
replace [-?|-I] [-s] [-v]

DESCRIPTION

replace

-?|-I
    info

-s  silent

-v  verbose

EXTRA INFO
Special characters in from string:

\^  Match start of line.

\$  Match end of line.

\b  Match space-character, start of line or end of line. For a end \b the next replace starts locking at the end space-character. A \b alone in a string matches only a space-character.

EXAMPLE
this command swaps a and b in the given files:

shell> replace a b b a -- file1 file2 ...

SEE ALSO
isamchk(1), isamlog(1), mysql(1), mysqlaccess(1), mysqladmin(1), mysqld(1), mysqld_multi(1), mysqld_safe(1), mysqldump(1), mysql_fix_privilege_tables(1), mysqlshow(1), mysql_zap(1), perror(1),

For more information please refer to the MySQL reference manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/mysql/en

BUGS
Please refer to http://bugs.mysql.com/ to report bugs.

AUTHOR
Ver 1.0, distribution @MYSQL_NO_DASH_VERSION@ Michael (Monty) Widenius (monty@mysql.com), MySQL AB (http://www.mysql.com/). This software comes with no warranty. Manual page by L. (Kill-9) Pedersen (kill-9@kill-9.dk), Mercurmedia Data Model Architect / system developer (http://www.mercurmedia.com)